Subject: bug#56003: closed (Re: bug#56003: Bash functions not showing in speedbar)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 30 Nov 2024 14:03:02 +0000

Your bug report

#56003: Bash functions not showing in speedbar

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
56003: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=56003
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#56003: Bash functions not showing in speedbar
From: Eli Zaretskii <[email-masked]>
To: Visuwesh <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sat, 30 Nov 2024 16:02:05 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Visuwesh <[email-masked]>
> Date: Thu, 16 Jun 2022 08:41:12 +0530
> Cc: [email-masked], [email-masked]
> 
> [வியாழன் ஜூன் 16, 2022 02:12] carlmarcos--- via "Bug reports for GNU Emacs, the Swiss army knife of text editors" wrote:
> 
> > Have been working on some functionalities implemented in bash.  But looking at the speedbar, only some function
> > names are being listed.  Tried to see whether a bug-report has been previously submitted, but could not find any. 
> > Have found the search feature for the archives quite challenging to use.
> >
> > Carl
> 
> You need to add a relevant bash entry to `sh-imenu-generic-expression'.
> I would propose a patch but the bash manual is vague about the allowed
> characters, and I never use bash so I'm not interested in digging
> further.  Maybe the newly added mksh entry could be a good example,
> 
>     (mksh
>      . ((nil
>          ;; function FOO
>          ;; function FOO()
>          ,(rx bol (* (syntax whitespace)) "function" (+ (syntax whitespace))
>               (group (1+ (not (any "\0\t\n \"$&'();<=>\\`|#*?[]/"))))
>               (* (syntax whitespace)) (? "()"))
>          1)
>         (nil
>          ;; FOO()
>          ,(rx bol (* (syntax whitespace))
>               (group (1+ (not (any "\0\t\n \"$&'();<=>\\`|#*?[]/"))))
>               (* (syntax whitespace)) "()")
>          1)))
> 
> HTH.

This bug was recently solved on the master branch, see commit
2ea091955036.

Subject: Bash functions not showing in speedbar
From: [email-masked]
To: Bug Gnu Emacs <[email-masked]>
Date: Thu, 16 Jun 2022 02:12:11 +0200 (CEST)
List-Id: <debbugs-submit.debbugs.gnu.org>

Have been working on some functionalities implemented in bash.  But looking at the speedbar, only some function names are being listed.  Tried to see whether a bug-report has been previously submitted, but could not find any.  Have found the search feature for the archives quite challenging to use.

Carl